com.google.cloud.dataflow.sdk.options

## Class GoogleApiDebugOptions.GoogleApiTracer

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,String>
    - - com.google.cloud.dataflow.sdk.options.GoogleApiDebugOptions.GoogleApiTracer

All Implemented Interfaces:
  GoogleClientRequestInitializer, Serializable, Cloneable, Map<String,String>

Enclosing interface:
  GoogleApiDebugOptions

    public static class GoogleApiDebugOptions.GoogleApiTracer
    extends HashMap<String,String>
    implements GoogleClientRequestInitializer

A `GoogleClientRequestInitializer` that adds the trace destination to Google API calls.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GoogleApiTracer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GoogleApiDebugOptions.GoogleApiTracer` `addTraceFor(AbstractGoogleClientRequest<?> request, String traceDestination)` Creates a `GoogleApiDebugOptions.GoogleApiTracer` that sets the trace `traceDestination` on all calls that match for the given request type.
`GoogleApiDebugOptions.GoogleApiTracer` `addTraceFor(AbstractGoogleClient client, String traceDestination)` Creates a `GoogleApiDebugOptions.GoogleApiTracer` that sets the trace destination on all calls that match the given client type.
`void` `initialize(AbstractGoogleClientRequest<?> request)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### GoogleApiTracer

    public GoogleApiTracer()

### Method Detail

#### addTraceFor

    public GoogleApiDebugOptions.GoogleApiTracer addTraceFor(AbstractGoogleClient client,
                                                             String traceDestination)

Creates a `GoogleApiDebugOptions.GoogleApiTracer` that sets the trace destination on all calls that match the given client type.

#### addTraceFor

    public GoogleApiDebugOptions.GoogleApiTracer addTraceFor(AbstractGoogleClientRequest<?> request,
                                                             String traceDestination)

Creates a `GoogleApiDebugOptions.GoogleApiTracer` that sets the trace `traceDestination` on all calls that match for the given request type.

#### initialize

    public void initialize(AbstractGoogleClientRequest<?> request)
                    throws IOException

Specified by:
  `initialize` in interface `GoogleClientRequestInitializer`
Throws:
  `IOException`